# pelican-shortener

Plugin for pelican to shorten URLs.

## Download and install

I encourage you to install the plugin via `pip`:

    $ pip install pelican-shortener

## How to use it

To load the plugin, you have to add it to your settings file.

    PLUGINS = ["pelican_shortener"]

For being able to use this pluging you need to have `SITEURL` defined in your
settings file, otherwise the plugin has no way to guess the absolute URL.

    SITEURL = "http://example.com"

If not defined, the long URLs are returned for proper debuging.

Now that the plugin is configured, you can rebuilt your site and you should
see the short URL being created in the `pelican` output:

    -> Shortening URL http://schneiderfelipe.xyz/sistemas-lineares/ to https://da.gd/HjuuG4

From yor templates, you can now access the `short_url` of the `article` and
`page` objects:

    {{ article.short_url }}
    {{ page.short_url }}

## Advanced configuration

You can deactivate shortening for either pages or articles using:

    SHORTEN_PAGES = False
    SHORTEN_ARTICLES = False

Shorteners of `pyshorteners` are selected based on their name size, but you can use a custom:

    SHORTENERS = ["isgd", "dagd", "osdb", "tinyurl"]

By default, `gitio` is preferred (it is added to the beginning of the list
above), but you can disable it:

    PREFER_GITIO = False


## Credits

This plugin was initially based on https://github.com/rach/pelican.bitly by [Rach Belaid](https://github.com/rach).
